Backups
Create, download and restore backups.
7 endpoints
GET /api/backup
Download Backup
a backup of the panel as it is now (zip)
Sudo admin only
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X GET 'https://YOUR-PANEL/api/backup' \
-H 'Authorization: Bearer $TOKEN'POST /api/backup/check
Check Backup
what a backup file contains (nothing is changed)
Sudo admin only
Request body multipart/form-data · Body_check_backup_api_backup_check_post
| Field | Type | Required | Description |
|---|---|---|---|
file | string | yes |
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X POST 'https://YOUR-PANEL/api/backup/check' \
-H 'Authorization: Bearer $TOKEN'GET /api/backup/file/{name}
Download Saved
Download a saved backup file.
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | yes |
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X GET 'https://YOUR-PANEL/api/backup/file/<name>' \
-H 'Authorization: Bearer $TOKEN'DELETE /api/backup/file/{name}
Delete Saved
Delete a saved backup file.
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | yes |
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X DELETE 'https://YOUR-PANEL/api/backup/file/<name>' \
-H 'Authorization: Bearer $TOKEN'GET /api/backup/list
List Backups
List backups saved on the server (name, size, time).
Sudo admin only
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X GET 'https://YOUR-PANEL/api/backup/list' \
-H 'Authorization: Bearer $TOKEN'POST /api/backup/now
Backup Now
write a backup to the server's backups folder
Sudo admin only
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X POST 'https://YOUR-PANEL/api/backup/now' \
-H 'Authorization: Bearer $TOKEN'POST /api/backup/restore
Restore Backup
replace the panel's data with a backup, then restart (the current state is saved first)
Sudo admin only
Request body multipart/form-data · Body_restore_backup_api_backup_restore_post
| Field | Type | Required | Description |
|---|---|---|---|
file | string | yes |
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X POST 'https://YOUR-PANEL/api/backup/restore' \
-H 'Authorization: Bearer $TOKEN'